# SmartHomeNetworkSim

Smart Home Network Simulation for Visualisation and Generation of IoT/SmartHome Network traffic

## Gradle tasks
Gradle will download required libraries and handle the build process

	$ gradlew build		# Assembles and tests this project
	
	$ gradlew jar 		# Creates an executable Jar-file
	
	$ gradlew test		# Runs the included unit tests
	
	$ gradlew run		# Runs the SmartHomeNetworkSim as a JVM Application
	
	$ gradlew runIt		# Runs the SmartHomeNetworkSim as a Jar-file
	
	$ gradlew tasks		# Displays further available tasks

## Required Libraries 

* [Pcap4j](https://www.pcap4j.org/) - Java Library used for Pcap File creation (not yet implemented)

<!-- comment -->

## Developed by
Andreas T. Meyer-Berg (As part of his Bachelor Thesis)