package de.tu_darmstadt.tk.SmartHomeNetworkSim.view;

import java.awt.Component;
import java.util.Collection;

import javax.swing.JDialog;

import de.tu_darmstadt.tk.SmartHomeNetworkSim.control.Controller;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.core.Link;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.core.SmartDevice;

@SuppressWarnings("serial")
public class LinkCreationDialog extends JDialog {
LinkCreationPanel content;
Component parent;

	public LinkCreationDialog(Link link, Controller controller, Component panel) {
		super();
		content = new LinkCreationPanel(link, controller);
		parent = panel;
		initialize();
	}
	
	public LinkCreationDialog(Collection<SmartDevice> devices, Controller controller, Component panel){
		super();
		content = new LinkCreationPanel(devices, controller);
		parent = panel;
		initialize();
	}

	private void initialize() {
		content.setFrame(this);
		this.setModal(true);
		this.setContentPane(content);
		this.pack();
		setLocationRelativeTo(parent);
		this.setVisible(true);
	}
}
