package de.tu_darmstadt.tk.SmartHomeNetworkSim.view;

import java.awt.Component;
import java.util.Collection;

import javax.swing.JDialog;

import de.tu_darmstadt.tk.SmartHomeNetworkSim.control.Controller;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.core.Connection;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.core.Link;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.core.Port;

@SuppressWarnings("serial")
public class ConnectionCreationDialog extends JDialog {
ConnectionCreationPanel content;
Component parent;

	public ConnectionCreationDialog(Connection connection, Controller controller, Component panel) {
		super();
		content = new ConnectionCreationPanel(connection, controller);
		parent = panel;
		initialize();
	}
	
	public ConnectionCreationDialog(Collection<Port> devices, Link link, Controller controller, Component panel){
		super();
		content = new ConnectionCreationPanel(devices, link, controller);
		parent = panel;
		initialize();
	}

	private void initialize() {
		content.setFrame(this);
		this.setModal(true);
		this.setContentPane(content);
		this.pack();
		setLocationRelativeTo(parent);
		this.setVisible(true);
	}
}
